/***************************************************************************
 *  SOIPIX Data calibration class "Calib"
 *
 *  File        : Calib.h 
 *  version     : v 1.0.0 2008/11/5
 *  Author      : Shun Ono
 *
 *  Description : class Calib Methods                                         
 *****************************************************************************/
#ifndef CALIB_H
#define CALIB_H

#include <math.h>
#include <stdlib.h>

#include <iostream>
using namespace std;

class Calib
{
  unsigned short rowdata[128][128];
  double mean[128][128], tno[128][128], ino[128][128];
  double cms, noiave; 
  unsigned short badflg[128][128];
  unsigned int pednum, noinum;
 public:
  Calib();
  virtual ~Calib();
  void Reset();
  void AddPedData(unsigned short data[][128]);
  void CalcPed();
  void AddNoiData(unsigned short data[][128]);
  void CalcNoi();
  unsigned int PedEvent() {return pednum;}
  unsigned int NoiEvent() {return noinum;} 
  void OutPed(double *offset);
  void OutTNoise(double *tnoise);
  void OutINoise(double *inoise);
  void OutBChannel(unsigned short *bch);
};


#endif
